Subject: Re: bug#42134: icecat: can't go back to duckduckgo search results

From: Jonathan Brielmaier <[email-masked]>
Date: Thu, 9 Jul 2020 12:11:08 +0200

On 09.07.20 05:08, Maxim Cournoyer wrote:
> Hello!
>
> Jonathan Brielmaier <[email-masked]> writes:
>
>> When you search for something with DuckDuckGo, click on a result and
>> then click on your browsers back button you end up at DDGs start page
>> and not the results page.
>>
>> 1. Enter "guix" in your search/address bar while having DDG as default
>> search engine.
>> 2. Click on first result -> guix.gnu.org
>> 3. Now click after landing at our beautiful website on the browsers back
>> button (<-)
>> 4. You end up at https://duckduckgo.com/?ia=web and not at
>> https://duckduckgo.com/?q=guix
>>
>> This does NOT happen when you
>> 1. use DuckDuckGo in Chromium via it's address bar
>> 2. use DDG in Icecat starting from duckduckgo.com and not the
>> address/search bar
>> 3. use Bing or Google via Icecat's address/search bar
>>
>> I have disabled the "Spoof Referers" setting which comes from Icecat and
>> is available at about:preferences#privacy
>>
>> Icecat has some custom DDG search plugin:
>> https://git.savannah.gnu.org/cgit/gnuzilla.git/tree/makeicecat#n172
>> https://git.savannah.gnu.org/cgit/gnuzilla.git/tree/data/searchplugins/duckduckgo.xml
>>
>> Maybe that's breaking that. I don't know.
>
> This was already reported upstream here:
> https://lists.gnu.org/archive/html/bug-gnuzilla/2020-02/msg00000.html.
> Another user reported the same behavior wwhen using Tor browser.  It
> seems to be an issue with DDG itself, where their HTML only website
> breaks when Javascript support is detected.
>
> You can verify this by re-enabling LibreJS in Icecat; it'll suddenly
> start working again.

Okay, go back does work on https://html.duckduckgo.com/html?q= when
enabling LibreJS.

But their search doesn't break in Chromium or in upstream Firefox. So I
guess something is wrong with our Icecat/shipped search addon.